Explorer cost heatmap
curl --request POST \
--url https://api.nops.io/v1/explorer/heatmap \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dateRange": {
"start": "2026-05-31",
"end": "2026-06-29"
},
"groupBy": "product_product_name",
"costType": "line_item_unblended_cost",
"granularity": "day",
"filters": []
}
'import requests
url = "https://api.nops.io/v1/explorer/heatmap"
payload = {
"dateRange": {
"start": "2026-05-31",
"end": "2026-06-29"
},
"groupBy": "product_product_name",
"costType": "line_item_unblended_cost",
"granularity": "day",
"filters": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dateRange: {start: '2026-05-31', end: '2026-06-29'},
groupBy: 'product_product_name',
costType: 'line_item_unblended_cost',
granularity: 'day',
filters: []
})
};
fetch('https://api.nops.io/v1/explorer/heatmap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/explorer/heatmap"
payload := strings.NewReader("{\n \"dateRange\": {\n \"start\": \"2026-05-31\",\n \"end\": \"2026-06-29\"\n },\n \"groupBy\": \"product_product_name\",\n \"costType\": \"line_item_unblended_cost\",\n \"granularity\": \"day\",\n \"filters\": []\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"rows": [
{
"dimension": "Amazon EC2",
"day": "2026-06-01",
"cost": 420.12
},
{
"dimension": "Amazon S3",
"day": "2026-06-01",
"cost": 88.4
}
],
"servedFromCache": true
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Explorer
Explorer cost heatmap
Heatmap-style cost breakdown across dimensions.
POST
https://api.nops.io
/
v1
/
explorer
/
heatmap
Explorer cost heatmap
curl --request POST \
--url https://api.nops.io/v1/explorer/heatmap \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dateRange": {
"start": "2026-05-31",
"end": "2026-06-29"
},
"groupBy": "product_product_name",
"costType": "line_item_unblended_cost",
"granularity": "day",
"filters": []
}
'import requests
url = "https://api.nops.io/v1/explorer/heatmap"
payload = {
"dateRange": {
"start": "2026-05-31",
"end": "2026-06-29"
},
"groupBy": "product_product_name",
"costType": "line_item_unblended_cost",
"granularity": "day",
"filters": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dateRange: {start: '2026-05-31', end: '2026-06-29'},
groupBy: 'product_product_name',
costType: 'line_item_unblended_cost',
granularity: 'day',
filters: []
})
};
fetch('https://api.nops.io/v1/explorer/heatmap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/explorer/heatmap"
payload := strings.NewReader("{\n \"dateRange\": {\n \"start\": \"2026-05-31\",\n \"end\": \"2026-06-29\"\n },\n \"groupBy\": \"product_product_name\",\n \"costType\": \"line_item_unblended_cost\",\n \"granularity\": \"day\",\n \"filters\": []\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"rows": [
{
"dimension": "Amazon EC2",
"day": "2026-06-01",
"cost": 420.12
},
{
"dimension": "Amazon S3",
"day": "2026-06-01",
"cost": 88.4
}
],
"servedFromCache": true
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Was this page helpful?
⌘I